# Generated from dynamic_class-0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dynamic_class

Name: rubygem-%{gem_name}
Version: 0.2.3
Release: 1%{?dist}
Summary: Create classes that define themselves... eventually
License: MIT
URL: https://github.com/amcaplan/dynamic_class
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1.0
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(ofstruct) >= 0.2
# BuildRequires: rubygem(ofstruct) < 1
# BuildRequires: rubygem(persistent_open_struct)
# BuildRequires: rubygem(persistent_open_struct) < 1
# BuildRequires: rubygem(benchmark-ips) >= 2.3
# BuildRequires: rubygem(benchmark-ips) < 3
BuildArch: noarch

%description
Specifically designed as an OpenStruct-like tool for consuming APIs,
dynamic_class lets your classes define their own getters and setters at
runtime based on the data instances receive at instantiation.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/dynamic_class.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.3-1
- Initial package
